import React, { useState } from "react";
import { Form, Input, Button, Divider, Card, notification } from "antd";
import jwtAxios from "../utils/Apis";
import errorHandler from "../utils/errorHandler";

const AskQuestion = ({ toggleQues, productId, user }) => {
  const [form] = Form.useForm();


  const onFinish = async (values) => {
    if (user.id) {
      // values.status = 0;
      values.user_id = user.id;
      values.product_id = productId;

      try {
        const response = await jwtAxios.post(`question/create`, values);
        console.log(response);
        notification.success({
          message: `Question`,
          description: "Your question successfully submitted",
          placement: "bottomRight",
        });
        toggleQues(false);
      } catch (error) {
        errorHandler(error);
        toggleQues(false);
      }
    } else
      notification.info({
        message: `Login required`,
        description: "Please login first to ask a question!",
        placement: "bottomRight",
      });
  };

  return (
    <Card hoverable>
      <h4>Your Question</h4>
      <Divider />
      <Form
        form={form}
        name="review_form"
        onFinish={onFinish}
        layout="vertical"
      >
        <Form.Item
          name="question"
          // label="Review Content"
          rules={[{ required: true, message: "Please enter your question!" }]}
        >
          <Input.TextArea rows={4} />
        </Form.Item>

        <Form.Item></Form.Item>
        <Button
          className="btn btn-solid contactbtn"
          type="submit"
          htmlType="submit"
          style={{ paddingBottom: "30px" }}
        >
          Submit
        </Button>
      </Form>
    </Card>
  );
};

export default AskQuestion;
