import React, { useEffect, useState } from "react";
import { Container, Media } from "reactstrap";

import { Col, Row } from "antd";
import jwtAxios from "../utils/Apis";

const FeaturedVehicles = () => {
  const [companies, setCompanies] = useState([]);
  useEffect(() => {
    // Fetch the list of companies when the component mounts
    const fetchCompanies = async () => {
      try {
        const response = await jwtAxios.get(`vehicle/allModels/${"toyota"}`); // Replace with your actual API endpoint
        console.log(response.data);
        setCompanies(response.data);
      } catch (error) {
        console.error("Error fetching companies:", error);
      }
    };

    fetchCompanies();
  }, []);
  return (
    <section className="section-b-space featuredcars">
      <div className="collection-wrapper">
        <Container>
          <div>
            <h3
              style={{ color: "#000000", fontSize: "18px", fontWeight: "bold" }}
            >
              Featured Toyota Models
            </h3>
            <Row className="featuredmodels">
              {companies?.map((company) => (
                <Col className="btn btn-solid btnfeatured">
                  <div>{company}</div>
                  <i
                    className="fa fa-arrow-right"
                    style={{ fontWeight: "100" }}
                  ></i>
                </Col>
              ))}
            </Row>
          </div>
        </Container>
        <div className="santa-img">
          {/* <Media src={santa.src} className="img-fluid" alt="" /> */}
        </div>
        {/* <div className="decor">
                    <Media src={parall.src} className="img-fluid" alt="" />
                </div> */}
      </div>
    </section>
  );
};

export default FeaturedVehicles;
