import React from "react";
import { Col, Row } from "reactstrap";

const PolicyList = () => {
  return (
    <Col className="collection-content">
      <div className="page-main-content">
        
        <Row style={{ border: "1px solid #000" }}>
          <Col sm="12">
            <div className="top-banner-wrapper">
              <div className="top-banner-content small-section">
                <h4>Privacy Policy</h4>
                <p>
                  {"US"} ("we", "us", "our", "site", or "{"US"}") is the sole
                  owner of information collected on this site. {"US"} takes
                  every precaution necessary to protect your privacy and
                  personal information. Below is a description of how we collect
                  information from you online when you visit us
                </p>
                <h5>Online Security</h5>
                <p>
                  Whenever you submit sensitive information (such as a credit
                  card number) via our website, that information is collected,
                  encrypted and protected by the best encryption technology
                  available in the industry-SSL. Any time you send data to our
                  web server, it will be encrypted and our server will encrypt
                  any data sent back to your web browser.{" "}
                </p>
                <h5>Cookies and Information Collected </h5>
                <p>
                  Information collected by or submitted to our site may be used
                  to help us customize web content and better serve you with
                  pertinent information, such as order confirmations and order
                  status updates. We will not sell, share, or rent this
                  information to any outside parties, except as outlined in this
                  policy. If you choose to turn off your cookies, your website
                  experience may be limited and you may be unable to use some of
                  the features of the site.{" "}
                </p>
                <h5>Email Collection</h5>
                <p>
                  If you provide your email address to us, or register for an
                  account, we may use it to respond or update you on parts
                  inquiries. If you receive a marketing email from
                  {"US"} and would prefer not to receive these types of emails,
                  click the "unsubscribe" link in the email footer to remove
                  your name from our list.
                </p>

                <h5>Notice of Changes</h5>
                <p>
                  {"US"} reserves the right, at its discretion, to change,
                  modify, add, or remove portions of this Privacy Policy at any
                  time. You should check this page periodically for changes.
                  Your continued use of this Site following the posting of
                  changes to this Privacy Policy will mean that you accept those
                  changes.
                </p>
              </div>
            </div>
          </Col>
        </Row>
      </div>
    </Col>
  );
};

export default PolicyList;
