import React, { useState, useEffect } from "react";
import { Media } from "reactstrap";

// Define the isImageActive function (use the previous function here)
function isImageActive(imageUrl) {
  return new Promise((resolve) => {
    const img = new Image();

    // Define onload and onerror events before setting the src attribute
    img.onload = function () {
      // Image is successfully loaded
      resolve(true);
    };

    img.onerror = function () {
      // Image failed to load
      resolve(false);
    };

    img.src = imageUrl;
  });
}

const ProductImage = ({ product }) => {
  const [isImageActiveState, setIsImageActiveState] = useState(false);

  useEffect(() => {
    if (product?.images?.length > 0) {
      const imageUrl = JSON.parse(product?.images)[0]?.image1;

      isImageActive(imageUrl).then((result) => {
        setIsImageActiveState(result);
      });
    }
  }, [product]);

  return (
    <Media
      src={
        isImageActiveState
          ? JSON.parse(product?.images)[0]?.image1
          : "/assets/images/no-image.png"
      }
      className="img-fluid blur-up lazyload  catImage"
      alt=""
    />
  );
};

export default ProductImage;
