import React, { useState, useEffect } from "react";
import { Media } from "reactstrap";

// Define the isImageActive function (use the previous function here)
function isImageActive(imageUrl) {
  return new Promise((resolve) => {
    const img = new Image();

    img.onload = function () {
      // Image is successfully loaded
      resolve(true);
    };

    img.onerror = function () {
      // Image failed to load
      resolve(false);
    };

    img.src = imageUrl;
  });
}

const ProductImageCart = ({ product }) => {
  const [isImageActiveState, setIsImageActiveState] = useState(false);

  useEffect(() => {
    const imageUrl =
      product?.images?.length > 0 ? JSON.parse(product?.images)[0]?.image1 : "";

    isImageActive(imageUrl).then((result) => {
      setIsImageActiveState(result);
    });
  }, [product]);

  return (
    <Media
      src={
        isImageActiveState
          ? JSON.parse(product?.images)[0]?.image1
          : "/assets/images/no-image.png"
      }
      style={{ height: "50px", width: "60px" }}
      className="me-3"
      alt=""
    />
  );
};

export default ProductImageCart;
