import React, { useState } from "react";
import { Rate, Form, Input, Button, Divider, Card, notification } from "antd";
import jwtAxios from "../utils/Apis";
import errorHandler from "../utils/errorHandler";

const RatingAndReview = ({ data, user }) => {
  const [form] = Form.useForm();


  const onFinish = async (values) => {
    if (user.id) {
      values.status = 0;
      values.user_id = user.id;

      try {
        const response = await jwtAxios.post(
          `comment/create/${user.id}`,
          values
        );
        console.log(response);
        notification.success({
          message: `Review`,
          description: "Your review successfully submitted",
          placement: "bottomRight",
        });
      } catch (error) {
        errorHandler(error);
      }
    } else
      notification.info({
        message: `Login required`,
        description: "Please login first to submit a review!",
        placement: "bottomRight",
      });
  };

  return (
    <Card hoverable>
      <h4>Review</h4>
      <Divider />
      <Form
        form={form}
        name="review_form"
        onFinish={onFinish}
        layout="vertical"
      >
        <Form.Item
          name="comment"
          // label="Review Content"
          rules={[{ required: true, message: "Please enter your review!" }]}
        >
          <Input.TextArea rows={4} />
        </Form.Item>

        <Form.Item></Form.Item>
        <Button
          className="btn btn-solid contactbtn"
          type="submit"
          // disabled={!user?.id}
          htmlType="submit"
          style={{ paddingBottom: "30px" }}
        >
          Submit Review
        </Button>
      </Form>
    </Card>
  );
};

export default RatingAndReview;
