import React, { useState, useContext, useEffect } from "react";
import { Collapse } from "reactstrap";
import FilterContext from "../helpers/filter/FilterContext";
import Link from "next/link";
import jwtAxios from "../utils/Apis";

const CategoryVehicle = ({ data }) => {
  const context = useContext(FilterContext);
  const [isCategoryOpen, setIsCategoryOpen] = useState(true);
  const toggleCategory = () => setIsCategoryOpen(!isCategoryOpen);
  const setSelectedCategory = context.setSelectedCategory;
  const [url, setUrl] = useState();

  const updateCategory = (category) => {
    setSelectedCategory(category);
  };

  return (
    <>
      <p>
        {""}
        <br />
      </p>
      <div
        // style={{ border: "1px solid #000" }}
        className="collection-collapse-block open"
      >
        <h3 className="collapse-block-title">Categories</h3>
        <Collapse isOpen={isCategoryOpen}>
          <div className="collection-collapse-block-content">
            <div className="collection-brand-filter">
              <ul className="category-list">
                {data?.map((category, i) => (
                  <li key={i}>
                    <Link href={"/shop/parts-by-selected-vehicle"}>
                      {category.name}
                    </Link>
                  </li>
                ))}
              </ul>
            </div>
          </div>
        </Collapse>
      </div>
    </>
  );
};

export default CategoryVehicle;
