import React, { useContext, useEffect, useState } from "react";
import Slider from "react-slick";
import BrandBox from "../product-box/BrandSlider";
import { Row, Col, Container, Media, Button } from "reactstrap";
import PostLoader from "../PostLoader";
import jwtAxios from "../../../utils/Apis";
import Link from "next/link";
import { useRouter } from "next/router";

const MostViewed = ({
  type,
  title,
  subtitle,
  designClass,
  noSlider,
  cartClass,
  productSlider,
  titleClass,
  noTitle,
  innerClass,
  inner,
  backImage,
}) => {
  // const [!brandData || brandData.length === 0 ||, set!brandData || brandData.length === 0 ||] = useState(true);

  // var { loading, data } = useQuery(GET_PRODUCTS, {
  //   variables: {
  //     type: type,
  //     indexFrom: 0,
  //     limit: 8,
  //   },
  // });

  // useEffect(() => {
  //   if (data === undefined) {
  //     noSlider === false;
  //   } else {
  //     noSlider === true;
  //   }
  //   setTimeout(() => {
  //     set!brandData || brandData.length === 0 ||(false);
  //   }, 1);
  // }, [!brandData || brandData.length === 0 ||]);
  const router = useRouter();
  const [data, setData] = useState([]);
  useEffect(() => {
    fetchData();
  }, []);
  const fetchData = async () => {
    try {
      const response = await jwtAxios.get(`getAllBrand`);
      setData(response.data.data);
    } catch (error) {
      console.log(error);
    }
  };
  const settings = {
    dots: false,
    infinite: true,
    autoplay: false,
    arrows: false,
    autoplaySpeed: 2000,
    speed: 900,
    // slidesToShow: 6,
    centerPadding: "60px",
    rows: 2,
    slidesPerRow: 6,
    // slidesToShow: data?.length < 4 ? 2 : 4,
    slidesToScroll: 1,
    responsive: [
      {
        breakpoint: 1230,
        settings: {
          // slidesToShow: 5,
          rows: 2,
          slidesPerRow: 5,
        },
      },
      {
        breakpoint: 1010,
        settings: {
          // slidesToShow: 4,
          rows: 2,
          slidesPerRow: 4,
        },
      },
      {
        breakpoint: 740,
        settings: {
          // slidesToShow: 3,
          rows: 2,
          slidesPerRow: 3,
        },
      },
      {
        breakpoint: 420,
        settings: {
          // slidesToShow: 3,
          rows: 2,
          slidesPerRow: 3,
        },
      },
    ],
  };
  return (
    <div>
      <section className={designClass}>
        <>
          <div className="title1 title-gradient  section-t-space">
            {/* <h4>Popular Brands</h4> */}
            <h2 className="title-inner1"> Popular Brands</h2>
            {/* <hr role="tournament6" /> */}
          </div>

          <Container
            style={{
              backgroundColor: "rgb(244, 244, 244)",
              paddingTop: "40px",
            }}
          >
            <Row className="margin-default">
              {!data || data.length === 0 ? (
                <div className="row margin-default">
                  <div className="col-xl-3 col-lg-4 col-6">
                    <PostLoader />
                  </div>
                  <div className="col-xl-3 col-lg-4 col-6">
                    <PostLoader />
                  </div>
                  <div className="col-xl-3 col-lg-4 col-6">
                    <PostLoader />
                  </div>
                  <div className="col-xl-3 col-lg-4 col-6">
                    <PostLoader />
                  </div>
                </div>
              ) : (
                <Slider
                  {...settings}
                  // className="product-m no-arrow"
                >
                  {data?.length > 0 &&
                    data?.map((product, index) => (
                      <Col xl="3" sm="6" key={index}>
                        <div>
                          <BrandBox
                            product={product}
                            // backImage={backImage}
                            title={title}
                            // cartClass={cartClass}
                            key={index}
                          />
                        </div>
                      </Col>
                    ))}
                  {data?.length > 0 &&
                    data?.map((product, index) => (
                      <Col xl="3" sm="6" key={index}>
                        <div>
                          <BrandBox
                            product={product}
                            // backImage={backImage}
                            title={title}
                            // cartClass={cartClass}
                            key={index}
                          />
                        </div>
                      </Col>
                    ))}
                  {data?.length > 0 &&
                    data?.map((product, index) => (
                      <Col xl="3" sm="6" key={index}>
                        <div>
                          <BrandBox
                            product={product}
                            // backImage={backImage}
                            title={title}
                            // cartClass={cartClass}
                            key={index}
                          />
                        </div>
                      </Col>
                    ))}
                  {data?.length > 0 &&
                    data?.map((product, index) => (
                      <Col xl="3" sm="6" key={index}>
                        <div>
                          <BrandBox
                            product={product}
                            // backImage={backImage}
                            title={title}
                            // cartClass={cartClass}
                            key={index}
                          />
                        </div>
                      </Col>
                    ))}
                  {data?.length > 0 &&
                    data?.map((product, index) => (
                      <Col xl="3" sm="6" key={index}>
                        <div>
                          <BrandBox
                            product={product}
                            // backImage={backImage}
                            title={title}
                            // cartClass={cartClass}
                            key={index}
                          />
                        </div>
                      </Col>
                    ))}
                </Slider>
              )}
              <div style={{ display: "flex", justifyContent: "center" }}>
                <Button
                  onClick={() =>
                    router.push({
                      pathname: `/page/by-brand`, // Specify your route
                    })
                  }
                  className="btn btn-solid catbtn"
                >
                  View More Brands
                </Button>
              </div>
            </Row>
          </Container>
        </>
      </section>
    </div>
  );
};

export default MostViewed;
