import React, { useContext, useState } from "react";
import Link from "next/link";
import { useRouter } from "next/router";
import { Row, Col, Media, Modal, ModalBody, ModalHeader } from "reactstrap";
import ProductItem from "./ProductBox1";

const SubCatBox = ({ product }) => {
  // eslint-disable-next-line
  const router = useRouter();

  const clickProductDetail = () => {
    router.push({
      pathname: `/sub-categories/${product.id}`, // Specify your route
      query: { param1: product.name },
    });
  };

  return (
    <Link
      href={{
        pathname: `/sub-categories/${product.id}`,
        query: { param1: product.name },
      }}
    >
      <div onClick={clickProductDetail} className="product-box product-wrap">
        <div className="img-wrapper">
          <div className="front" onClick={clickProductDetail}>
            <Media
              src={
                product.cover_image
                  ? product.cover_image
                  : "/assets/images/no-image.png"
              }
              className="img-fluid catImage"
              alt=""
            />
          </div>
          <div
            className="product-name-belowCatImage"
         
          >
            {product?.name}
          </div>
        </div>
      </div>
    </Link>
  );
};

export default SubCatBox;
