import React, { useContext, useState } from "react";
import Link from "next/link";
import { useRouter } from "next/router";
import { Row, Col, Media, Modal, ModalBody, ModalHeader } from "reactstrap";
import CartContext from "../../../helpers/cart";
import { CurrencyContext } from "../../../helpers/Currency/CurrencyContext";

const SubCatBoxView = ({ product, clickRoute }) => {
  // eslint-disable-next-line
  const router = useRouter();
  const cartContext = useContext(CartContext);
  const curContext = useContext(CurrencyContext);
  const currency = curContext.state;
  const plusQty = cartContext.plusQty;
  const minusQty = cartContext.minusQty;
  const quantity = cartContext.quantity;
  const setQuantity = cartContext.setQuantity;

  const [image, setImage] = useState("");
  const [modal, setModal] = useState(false);
  const [modalCompare, setModalCompare] = useState(false);

  const clickProductDetail = () => {
    router.push(clickRoute);
  };

  return (
    <Link href={clickRoute}>
      <div onClick={clickProductDetail} className="product-box product-wrap">
        <div className="img-wrapper">
          <div className="front" onClick={clickProductDetail}>
            <Media
              src={
                product.cover_image
                  ? product.cover_image
                  : "/assets/images/no-image.png"
              }
              className="img-fluid"
              alt=""
            />
          </div>
          <div
            style={{
              background: "white",
              textAlign: "center",
              color: "#e52222",
              textTransform: "capitalize",
              height: "41px",
            }}
          >
            {product?.name}
          </div>
        </div>
      </div>
    </Link>
  );
};

export default SubCatBoxView;
