import React, { useContext, Fragment } from "react";
import Link from "next/link";
import CartHeader from "../headers/common/cart-header";
import CartContext from "../../helpers/cart";
import { Media } from "reactstrap";
import { CurrencyContext } from "../../helpers/Currency/CurrencyContext";

const CartContainer = ({ icon }) => {
  const context = useContext(CartContext);
  const currContext = useContext(CurrencyContext);
  const symbol = currContext.state.symbol;
  const cartList = context.state;
  const total = context.cartTotal;

  return (
    <Fragment>
      <li className="onhover-div mobile-cart">
        <div className="cart-qty-cls">{cartList.length}</div>
        <Link href={`/page/account/cart`} className="cartheader">
          <div href={null}>
            {/* <Media src={icon} className="img-fluid" alt="" /> */}
            <i
              className="fa fa-shopping-cart"
              style={{ fontSize: "30px", color: "#2e5ba5" }}
            ></i>
          </div>
          <div className="cartprice">
          <li>
            <p
              style={{
                marginBottom: "1px",
                textAlign: "left",
                fontFamily: "Arial",
                fontWeight: 100,
                color: "black",
                textAlign: "left",
              }}
            >
              Cart
            </p>
            <p style={{ fontSize: "20px", color: "#2e5ba5" }}>
              ${(total || 0)?.toFixed(2)}
            </p>
          </li>
          </div>
        </Link>
        <ul className="show-div shopping-cart">
          {cartList.map((item, index) => (
            <CartHeader key={index} item={item} total={total} symbol={symbol} />
          ))}
          {cartList.length > 0 ? (
            <div>
              <li>
                <div style={{ marginTop: "10px" }}>
                  <h4>
                    Subtotal :{" "}  
                    <span>
                      {symbol}
                      {total?.toFixed(2)}
                    </span>
                  </h4>
                </div>
              </li>
              <li>
                <div className="buttons view-cart responsive-view-cart-btn">
                  <Link
                    href={`/page/account/cart`}
                    className="btn btn-solid catbtn"
                  >
                    {/* <a> */}
                    View Cart
                    {/* </a> */}
                  </Link>

              {/* <div></div> */}
                  <Link
                    href={`/page/account/checkout`}
                    className="checkout btn btn-solid catbtn"
                  >
                    {/* <a > */}
                    checkout
                    {/* </a> */}
                  </Link>
                </div>
              </li>
            </div>
          ) : (
            <li>
              <h5>Your cart is currently empty.</h5>
            </li>
          )}
        </ul>
        
      </li>
    </Fragment>
  );
};

export default CartContainer;
