import React, { useEffect, useState } from "react";
import Link from "next/link";
import {
  Container,
  Row,
  Col,
  Form,
  FormGroup,
  Input,
  Button,
  Collapse,
  Media,
} from "reactstrap";
import CopyRight from "./copyright";

const MasterFooter = ({
  layoutClass,
  footerClass,
  belowSection,
  belowContainerFluid,
  CopyRightFluid,
}) => {
  const [isOpen, setIsOpen] = useState();
  const [collapse, setCollapse] = useState(0);
  const width = window.innerWidth <= 767;
  useEffect(() => {
    const changeCollapse = () => {
      if (window.innerWidth <= 767) {
        setCollapse(0);
        setIsOpen(false);
      } else setIsOpen(true);
    };

    window.addEventListener("resize", changeCollapse);

    return () => {
      window.removeEventListener("resize", changeCollapse);
    };
  }, []);
  return (
    <div>
      <footer className={footerClass}>
        <section className={belowSection}>
          <Container fluid={belowContainerFluid ? belowContainerFluid : ""}>
            <Row
              className="footer-theme partition-f"
              style={{ marginTop: "50px" }}
            >
              <Col className="offset-xl-1">
                <div className="sub-title">
                  <div
                    className={`footer-title ${
                      isOpen && collapse == 1 ? "active" : ""
                    } `}
                  >
                    <h4
                      onClick={() => {
                        if (width) {
                          setIsOpen(!isOpen);
                          setCollapse(1);
                        } else setIsOpen(true);
                      }}
                    >
                      Wholesale
                      <span className="according-menu"></span>
                    </h4>
                  </div>
                  <Collapse
                    isOpen={width ? (collapse === 2 ? isOpen : false) : true}
                  >
                    <div className="footer-contant">
                      <ul>
                        <li>
                          <Link href={`/page/about-us`}>
                            {/* <a> */}
                            About Us
                            {/* </a> */}
                          </Link>
                        </li>
                        <li>
                          <Link href={`/page/review`}>
                            {/* <a>  */}
                            Customer Reviews
                            {/* </a> */}
                          </Link>
                        </li>
                        <li>
                          <Link href={`/page/contact`}>
                            {/* <a> */}
                            Contact Us
                            {/* </a> */}
                          </Link>
                        </li>
                      </ul>
                    </div>
                  </Collapse>
                </div>
              </Col>
              <Col className="offset-xl-1">
                <div className="sub-title">
                  <div
                    className={`footer-title ${
                      isOpen && collapse == 2 ? "active" : ""
                    } `}
                  >
                    <h4
                      onClick={() => {
                        if (width) {
                          setIsOpen(!isOpen);
                          setCollapse(2);
                        } else setIsOpen(true);
                      }}
                    >
                      Policies
                      <span className="according-menu"></span>
                    </h4>
                  </div>
                  <Collapse
                    isOpen={width ? (collapse === 2 ? isOpen : false) : true}
                  >
                    <div className="footer-contant">
                      <ul>
                        <li>
                          <Link href={`/shop/sales-policy`}>
                            {/* <a> */}
                            Sales Policy
                            {/* </a> */}
                          </Link>
                        </li>
                        <li>
                          <Link href={`/shop/return-policy`}>
                            {/* <a>  */}
                            Return Policy
                            {/* </a> */}
                          </Link>
                        </li>
                        <li>
                          <Link href={`/shop/privacy-policy`}>
                            {/* <a> */}
                            Privacy Policy
                            {/* </a> */}
                          </Link>
                        </li>
                      </ul>
                    </div>
                  </Collapse>
                </div>
              </Col>
              <Col>
                <div className="sub-title">
                  <div
                    className={`footer-title ${
                      isOpen && collapse == 3 ? "active" : ""
                    } `}
                  >
                    <h4
                      onClick={() => {
                        if (width) {
                          setIsOpen(!isOpen);
                          setCollapse(3);
                        } else setIsOpen(true);
                      }}
                    >
                      Services
                      <span className="according-menu"></span>
                    </h4>
                  </div>
                  <Collapse
                    isOpen={width ? (collapse === 3 ? isOpen : false) : true}
                  >
                    <div className="footer-contant">
                      <ul>
                        <li>
                          <Link href={`/page/account/dashboard`}>
                            My Account
                          </Link>
                        </li>
                        <li>
                          <Link href={`/page/faq`}>FAQ</Link>
                        </li>
                        <li>
                          <Link href={`/help-center`}>Help Center</Link>
                        </li>
                      </ul>
                    </div>
                  </Collapse>
                </div>
              </Col>
              <Col>
                <div className="sub-title">
                  <div
                    className={`footer-title ${
                      isOpen && collapse == 4 ? "active" : ""
                    } `}
                  >
                    <h4
                      onClick={() => {
                        if (width) {
                          setIsOpen(!isOpen);
                          setCollapse(4);
                        } else setIsOpen(true);
                      }}
                    >
                      Shop with Confidence
                      <span className="according-menu"></span>
                    </h4>
                  </div>
                  <Collapse
                    isOpen={width ? (collapse === 4 ? isOpen : false) : true}
                  >
                    <div className="footer-contant footerimages">
                      <Media
                        src={"/assets/images/hashdecodes/footer-img2.png"}
                        alt=""
                      />
                      <Media
                        src={"/assets/images/hashdecodes/footer-img1.png"}
                        alt=""
                      />
                    </div>
                    <div
                      className="footer-contant footerimages"
                      style={{ paddingTop: "15px" }}
                    >
                      <Media
                        src={"/assets/images/hashdecodes/paypal.png"}
                        alt=""
                        className="paymentimg"
                      />
                      <Media
                        src={"/assets/images/hashdecodes/visa.png"}
                        alt=""
                        className="paymentimg"
                        style={{ height: "33px" }}
                      />
                      <Media
                        src={"/assets/images/hashdecodes/american.png"}
                        alt=""
                        className="paymentimg"
                        style={{ height: "33px" }}
                      />
                      <Media
                        src={"/assets/images/hashdecodes/MC.png"}
                        alt=""
                        className="paymentimg"
                        style={{ height: "33px" }}
                      />
                      <Media
                        src={"/assets/images/hashdecodes/maestro.png"}
                        alt=""
                        className="paymentimg"
                        style={{ height: "33px" }}
                      />
                    </div>
                  </Collapse>
                </div>
              </Col>
            </Row>
          </Container>
        </section>

        <CopyRight
          layout={layoutClass}
          fluid={CopyRightFluid ? CopyRightFluid : ""}
        />
      </footer>
    </div>
  );
};
export default MasterFooter;
