import Link from "next/link";
import React from "react";
import { ListGroup, ListGroupItem, Button } from "reactstrap";

const DashView = ({ user, Logout }) => {
  return (
    <ListGroup className="sidebar">
      <ListGroupItem className="d-flex align-items-center p-0 sidebar-item">
        <Link
          href={`/page/account/dashboard`}
          className="d-flex align-items-center justify-content-start w-100 p-3 text-decoration-none"
        >
          <i className="fa fa-user mr-3"></i>
          {`${user?.first_name || "User Name"} ${user?.last_name || ""}`}
        </Link>
      </ListGroupItem>
      <ListGroupItem className="d-flex align-items-center p-0">
        <Link
          href={`/page/account/dashboard`}
          className="d-flex align-items-center justify-content-start w-100 p-3 text-decoration-none"
        >
          <i className="fa fa-dashboard mr-3"></i>
          Dashboard
        </Link>
      </ListGroupItem>
      <ListGroupItem className="d-flex align-items-center p-0">
        <Button
          color="link"
          className="d-flex align-items-center justify-content-start w-100 p-3 text-decoration-none"
          onClick={Logout}
          style={{ color: "#E52222" }}
        >
          <i className="fa fa-sign-out mr-3"></i>
          Logout
        </Button>
      </ListGroupItem>
    </ListGroup>
  );
};

export default DashView;
