import React, { useState } from "react";
import {
  PaymentElement,
  useStripe,
  useElements,
} from "@stripe/react-stripe-js";
import { Button } from "reactstrap";
import jwtAxios from "../../../utils/Apis";

const CheckoutForm = ({ amount, values }) => {
  
const PUBLIC_KEY =
  "pk_test_51HP282KpLcK6W7ofnhR0wWjZM5keTOdCKAzK3sHkenkFL2fixqJMU2T7qECo0REgFzZ3a327Dx9VhjcPTEhEmtsV00TCrMODRt"; // Replace with your Stripe public key

const stripePromise = loadStripe(PUBLIC_KEY);

  const stripe = useStripe();
  // const elements = useElements();

  const [errorMessage, setErrorMessage] = useState(null);

  const handleSubmit2 = async (event) => {
    event.preventDefault();

    if (elements == null) {
      return;
    }

    // Trigger form validation and wallet collection
    const { error: submitError } = await elements.submit();
    if (submitError) {
      // Show error to your customer
      setErrorMessage(submitError.message);
      return;
    }

    // Create the PaymentIntent and obtain clientSecret from your server endpoint
    const res = await jwtAxios.post(`/create-payment-intent`, {
      amount: amount,
    });

    const { client_secret: clientSecret } = res.data;
    console.log(clientSecret, res.data);
    const { error } = await stripe.confirmPayment({
      //`Elements` instance that was used to create the Payment Element
      elements,
      clientSecret,
      // confirmParams: {
      //   return_url: "https://example.com/order/123/complete",
      // },
    });

    if (error) {
      // This point will only be reached if there is an immediate error when
      // confirming the payment. Show error to your customer (for example, payment
      // details incomplete)
      setErrorMessage(error.message);
    } else {
      // Your customer will be redirected to your `return_url`. For some payment
      // methods like iDEAL, your customer will be redirected to an intermediate
      // site first to authorize the payment, then redirected to the `return_url`.
    }
  };

    const [elements, setElements] = useState(null);

    useEffect(() => {
      const initialize = async () => {
        const items = [{ id: "xl-tshirt" }];

        // const response = await fetch("/create-payment-intent", {
        //   method: "POST",
        //   headers: { "Content-Type": "application/json" },
        //   body: JSON.stringify({ items }),
        // });
         const res = await jwtAxios.post(`/create-payment-intent`, {
           amount: amount,
         });

        // const { clientSecret } = await response.json();
    const { client_secret: clientSecret } = res.data;
        const appearance = {
          theme: "stripe",
        };

        const stripeElements = loadStripe(clientSecret, { appearance });
        setElements(stripeElements);
      };

      initialize();
    }, []);

    const handleSubmit = async (e) => {
      e.preventDefault();

      if (!elements) return;

      setLoading(true);

      const { error } = await elements.confirmPayment({
        confirmParams: {
          return_url: "http://localhost:4242/checkout.html",
        },
      });

      if (error) {
        showMessage(
          error.type === "card_error" || error.type === "validation_error"
            ? error.message
            : "An unexpected error occurred."
        );
      }

      setLoading(false);
    };

    const showMessage = (messageText) => {
      // Your showMessage logic here
      console.log(messageText);
    };

    const setLoading = (isLoading) => {
      // Your setLoading logic here
      console.log(isLoading);
    };


  return (
    <form id="payment-form" onSubmit={handleSubmit}>
      <PaymentElement />
      <div style={{ color: "red", padding: "10px" }}></div>
      {errorMessage && (
        <div style={{ color: "red", padding: "10px" }}>{errorMessage}</div>
      )}

      <div id="payment-element"></div>
      <button id="submit" type="submit">
        Pay Now
      </button>
      <div id="spinner" className="hidden">
        Loading...
      </div>
      <div id="button-text">Submit Payment</div>
      <div id="payment-message" className="hidden"></div>

      <Button
        type="button"
        onClick={handleSubmit}
        disabled={!stripe || !elements}
      >
        {"Pay Now"}
      </Button>
    </form>
  );
};

export default CheckoutForm;
