import React, { Fragment, useContext } from "react";
import Link from "next/link";
import CartContext from "../../../helpers/cart";
import { isBusiness } from "../../constant/menu";
import { UserContext } from "../../../helpers/loginContext/loginContext";
import ProductImageCart from "../../ProductImageCart";

const CartHeader = ({ item, symbol }) => {
  const context = useContext(CartContext);
  const { user } = useContext(UserContext);
  return (
    <Fragment>
      <li style={{ paddingTop: "0px" }}>
        <div className="media">
          <div className="close-circle">
            <i
              className="fa fa-times"
              aria-hidden="true"
              onClick={() => context.removeFromCart(item)}
            ></i>
          </div>
          <Link href={"/product-details/" + item.id}>
            <ProductImageCart product={item} />
          </Link>
          <div className="media-body">
            <Link href={"/product-details/" + item.id}>
              {/* <a> */}
              <h6>{item.name}</h6>
              {/* </a> */}
            </Link>

            <h5>
              <span>
                {item.qty} x {symbol}
                {item?.price?.toFixed(2)}
              </span>
            </h5>
          </div>
        </div>
      </li>
      <hr style={{ margin: "0px" }} />
    </Fragment>
  );
};

export default CartHeader;
