import Link from "next/link";
import React, { Fragment, useContext } from "react";
import { UserContext } from "../../../helpers/loginContext/loginContext";

const SideBar = () => {
  const { user, clearUserData } = useContext(UserContext);
  console.log(user, "User");
  const Logout = () => {
    clearUserData();
  };
  const closeNav = () => {
    var closemyslide = document.getElementById("mySidenav");
    if (closemyslide) closemyslide.classList.remove("open-side");
  };

  return (
    <Fragment>
      <div id="mySidenav" className="sidenav">
        <a href={null} className="sidebar-overlay" onClick={closeNav}></a>
        <nav>
          <a href={null} onClick={closeNav}>
            <div className="sidebar-back text-start">
              <i className="fa fa-angle-left pe-2" aria-hidden="true"></i> Back
            </div>
          </a>
          <ul id="sub-menu" className="sidebar-menu">
            <li>
              <Link href="/shop/parts-by-selected-vehicle">
                Shop By Vehicle
              </Link>
            </li>
            <li>
              <Link href="/">Shop By Category</Link>
            </li>
            <li>
              <Link href="/page/by-brand">Shop By Brand</Link>
            </li>
            <li>
              <Link href="/page/wholesale">Wholesale</Link>
            </li>
            <li>
              <Link href="/page/about-us">About Us</Link>
            </li>
          </ul>
          <ul className="sidebar-menu2">
            {!user?.email ? (
              <>
                <li>
                  <Link href={`/page/account/login`}>
                    {" "}
                    <p className="fa fa-user"></p> Login
                  </Link>
                </li>
                <li>
                  <Link href={`/page/account/register`}>
                    {" "}
                    <p className="fa fa-edit"></p> Register
                  </Link>
                </li>
              </>
            ) : (
              <>
                <li>
                  <Link href={`/page/account/dashboard`}>
                    <p className="fa fa-dashboard "></p> Dashboard
                  </Link>
                </li>
                <li>
                  <a href={null} onClick={Logout}>
                    <p className="fa fa-sign-out mr-3 "></p> Logout
                  </a>
                </li>
              </>
            )}

            <li>
              <Link href="/page/contact">
                {" "}
                <p className="fa fa-headphones "></p> Contact
              </Link>
            </li>
            <li>
              <Link href="#">
                {" "}
                <p className="fa fa-phone "></p> +1 434-123-6987
              </Link>
            </li>
          </ul>
        </nav>
      </div>
    </Fragment>
  );
};

export default SideBar;
