import React, { useContext } from "react";
import { Container } from "reactstrap";
import { Row, Col } from "reactstrap";
import Cart from "/components/containers/Cart";
import CartContainer from "/components/containers/CartContainer";
import Link from "next/link";
import { useRouter } from "next/router";
import LogoImage from "./logo";
import { Button, Divider, Space } from "antd";
import { UserContext } from "../../../helpers/loginContext/loginContext";
import CartContext from "../../../helpers/cart";
import SelectSearch from "../../Reuseable/SelectSearch";
import DashView from "./DashView";

const TopBarDark = ({ topClass, logoName, fluid, direction }) => {
  const router = useRouter();
  const { user, clearUserData } = useContext(UserContext);
  console.log(user, "User");
  const Logout = () => {
    clearUserData();
  };
  const context = useContext(CartContext);
  const total = context.cartTotal;

  return (
    <div className={topClass}>
      <Container fluid={fluid}>
        <Row style={{ alignItems: "center" }}>
          <Col sm="2">
            <div className="header-contact">
              <ul>
                <li>
                  {" "}
                  <div className="brand-logo responsive-logo-brand">
                    <LogoImage logo={logoName} />
                  </div>
                </li>
              </ul>
            </div>
          </Col>
          <Col sm="6" style={{ display: "flex", justifyContent: "center" }}>
            <div className="header-contact responsive-search-box-header">
              <Space.Compact block>
                <Button
                  icon={
                    <>
                      <img
                        src={`/assets/images/hashdecodes/car.png`}
                        alt=""
                        className="img-fluid"
                      />
                    </>
                  }
                  style={{
                    backgroundColor: "#E52222", // Parrot green
                    color: "white", // Added space between button and text fields
                  }}
                  size="large"
                >
                  Search
                </Button>
                <SelectSearch className="responsive-search-bar-top" />
                {/* <Input
                  style={{
                    border: "none",
                    padding: "5px",
                    background: "#f1f1f1",
                    width: "425px",
                    color: "#000",
                  }}
                  size="large"
                  placeHolder={"Search by Part Number, Part Name, Description"}
                /> */}
              </Space.Compact>
            </div>
          </Col>
          <Col sm="4" style={{ display: "flex", justifyContent: "flex-end" }}>
            <ul className="header-dropdown responsive-mob-account-dropdown">
              <li className="onhover-dropdown mobile-account">
                {/* <p
                  style={{
                    marginBottom: "-6px",
                    textAlign: "left",
                    paddingLeft: "27px",
                    fontFamily: "Arial",
                    fontWeight: 100,
                    color: "black",
                  }}
                >
                  Hello, {user?.first_name || "Login"}
                </p> */}
                <i
                  className="fa fa-user"
                  aria-hidden="true"
                  style={{ fontSize: "30px" }}
                ></i>
                My Account
                <ul className="onhover-show-div">
                  {!user?.email && (
                    <>
                      <li>
                        <div>
                          <Link
                            href={`/page/account/login`}
                            class="btn btn-solid"
                            style={{
                              paddingLeft: "60px",
                              paddingRight: "60px",
                            }}
                          >
                            {/* <a > */}
                            Login
                            {/* </a> */}
                          </Link>
                        </div>
                      </li>
                      <li style={{ display: "flex", flexDirection: "row" }}>
                        <p style={{ fontSize: "11px", paddingTop: "4px" }}>
                          New Customer?
                        </p>
                        <Link
                          href={`/page/account/login`}
                          style={{ fontSize: "11px" }}
                        >
                          Start here
                        </Link>
                      </li>
                    </>
                  )}
                  {user?.email && <DashView user={user} Logout={Logout}/>}
                </ul>
              </li>

              <li>
                {direction === undefined ? (
                  // <></>
                  <CartContainer layout={direction} />
                 
                ) : (
                  <Cart layout={direction} />
                )}
              </li>
              
              
            </ul>
          </Col>
        </Row>
      </Container>
    </div>
  );
};

export default TopBarDark;
