import React, { useState, useEffect, useContext } from "react";
import NavBar from "./common/navbar";
import SideBar from "./common/sidebar";
import TopBarDark from "./common/topbar-dark";
import { Media, Container, Row, Col } from "reactstrap";
import LogoImage from "./common/logo";
import { useRouter } from "next/router";
import FilterContext from "../../helpers/filter/FilterContext";
import { Button, Checkbox, List, Modal, Popover, Radio, Space } from "antd";

import Mainbannerleft from "../selectVehicleModal";
import CartContainer from "/components/containers/CartContainer";
import Cart from "/components/containers/Cart";
import Link from "next/link";

const HeaderOne = ({
  logoName,
  headerClass,
  topClass,
  noTopBar,
  direction,
}) => {
  const router = useRouter();
  const { vehicles, setVehicles, selectedVehicle, setSelectedVehicle } =
    useContext(FilterContext);
  /*=====================
     Pre loader
     ==========================*/
  useEffect(() => {
    setTimeout(function () {
      document.querySelectorAll(".loader-wrapper").style = "display:none";
    }, 2000);

    if (router.asPath !== "/layouts/Christmas")
      window.addEventListener("scroll", handleScroll);

    return () => {
      window.removeEventListener("scroll", handleScroll);
    };
  }, []);
  console.log(vehicles);
  const handleScroll = () => {
    let number =
      window.pageXOffset ||
      document.documentElement.scrollTop ||
      document.body.scrollTop ||
      0;
    if (number >= 300) {
      if (window.innerWidth < 581)
        document.getElementById("sticky2").classList.remove("fixed");
      else document.getElementById("sticky2").classList.add("fixed");
    } else document.getElementById("sticky2").classList.remove("fixed");
  };

  const openNav = () => {
    var openmyslide = document.getElementById("mySidenav");
    if (openmyslide) {
      openmyslide.classList.add("open-side");
    }
  };
  const openSearch = () => {
    document.getElementById("search-overlay").style.display = "block";
  };

  // eslint-disable-next-line
  const load = () => {
    setIsLoading(true);
    fetch().then(() => {
      // deal with data fetched
      setIsLoading(false);
    });
  };
  const [open, setOpen] = useState(false);

  const reloadPage = () => {
    router.reload();
  };
  const handlePhoneClick = () => {
    const phoneNumber = "+14341236987"; // Replace with your phone number
    window.location.href = `tel:${phoneNumber}`;
  };
  return (
    <div>
      <header id="sticky2" className={``}>
        <div className="mobile-fix-option"></div>
        {/*Top Header Component*/}
        {noTopBar ? "" : <TopBarDark logoName={logoName} topClass={topClass} />}

        <Container>
          <Row>
            {/* <Col> */}
            <div className="main-menu">
              <Col sm="2">
                <div className="menu-left">
                  <div className="navbar">
                    <a href={null} onClick={openNav}>
                      <div className="bar-style" style={{ display: "flex" }}>
                        <i
                          className="fa fa-bars sidebar-bar"
                          aria-hidden="true"
                        ></i>
                      </div>
                    </a>
                    <Link href="/">
                      <p className="shop-cat responsive-shop-cat">
                        Shop By Category
                      </p>
                    </Link>
                    {/*SideBar Navigation Component*/}
                    <SideBar />
                  </div>
                </div>
              </Col>

              <div className="menu-right pull-right responsive-menu-nav-contact">
                <Col sm="6">
                  <div className="brand-logo-main">
                    <LogoImage logo={logoName} />
                  </div>
                  {/*Top Navigation Bar Component*/}
                  <NavBar />
                </Col>
                <Col sm="4">
                  <div className="responsive-ul-nav">
                    {/* <div className="icon-nav"> */}
                    <ul
                      style={{
                             display: "flex",
                              flexDirection: "row",
                               justifyContent: "space-around", 
                              alignItem:"center",                  }}
                    >
                      <li>
                        <p
                          style={{
                            paddingLeft: "5px",
                            color: "#E52222",
                            fontSize: "14px",
                            textWrap: "nowrap",
                            display: "flex",
                            flexDirection: "row",
                            marginBottom: "0px",
                          }}
                        >
                          <Popover
                            // open={open}
                            content={
                              <div
                                style={{ width: "600px" }}
                                className="garage"
                              >
                                {" "}
                                <List
                                  bordered={false}
                                  header={<b>My Vehicle List</b>}
                                  footer={
                                    <Space>
                                      <button
                                        class="btn btn-solid"
                                        // type="primary"
                                        onClick={() => setOpen(true)}
                                      >
                                        Add New Vehicle
                                      </button>
                                      <Button
                                        type="link"
                                        onClick={() => {
                                          setVehicles([]);
                                          setSelectedVehicle(null);
                                          router.push(`/`);
                                        }}
                                        style={{ color: "#2E5BA5" }}
                                      >
                                        Clear All
                                      </Button>
                                    </Space>
                                  }
                                  size="small"
                                  dataSource={vehicles}
                                  renderItem={(item) => (
                                    <List.Item
                                      actions={[
                                        <i
                                          className="fa fa-remove"
                                          aria-hidden="true"
                                          key="list-loadmore-more"
                                          onClick={() => {
                                            setVehicles((pre) =>
                                              pre.filter((a) => a !== item)
                                            );
                                            if (item.id == selectedVehicle)
                                              setSelectedVehicle(null);
                                            router.push(`/`);
                                          }}
                                        ></i>,
                                      ]}
                                    >
                                      <List.Item.Meta
                                        title={
                                          <Radio
                                            checked={selectedVehicle == item.id}
                                            onChange={(e) =>
                                              setSelectedVehicle(item.id)
                                            }
                                          >
                                            <span
                                              style={{
                                                textTransform: "capitalize",
                                              }}
                                            >
                                              {`${item.company} ${item.model} ${item.year}`}
                                            </span>
                                          </Radio>
                                        }
                                      />
                                    </List.Item>
                                  )}
                                />
                              </div>
                            }
                            // title="Title"
                            placement="bottom"
                          >
                            <div className="garageicon">
                              <li className="fa fa-car menurighticon"></li>
                              <span className="garagetext">My Garage</span>
                            </div>
                          </Popover>
                        </p>
                      </li>
                      <li className="headercart">
                        {direction === undefined ? (
                          // <></>
                          <CartContainer layout={direction} />
                        ) : (
                          <Cart layout={direction} />
                        )}
                      </li>
                      <li className="fa fa-headphones menurighticon">
                        <p
                          style={{
                            paddingLeft: "5px",
                            color: "#E52222",
                            fontSize: "14px",
                          }}
                        >
                          <Link
                            style={{
                              color: "#E52222",
                            }}
                            href={`/page/contact`}
                          >
                            Contact Us
                          </Link>
                        </p>
                      </li>
                      <li className="fa fa-phone menurighticon">
                        <p
                          style={{
                            paddingLeft: "5px",
                            color: "#E52222",
                            fontSize: "14px",
                          }}
                          onClick={handlePhoneClick}
                        >
                          +1 434-123-6987
                        </p>
                      </li>
                      {/* <Currency icon={settings.src} />
                        Header Cart Component
                        {direction === undefined ? (
                        
                          <CartContainer layout={direction} icon={cart.src} />
                        ) : (
                          <Cart layout={direction} icon={cart.src} />
                        )} */}
                    </ul>
                    {/* </div> */}
                  </div>
                </Col>
              </div>
            </div>
            {/* </Col> */}
          </Row>
        </Container>
        {open && (
          <Modal
            open={open}
            onCancel={() => setOpen(false)}
            title={"Select Vehicle"}
            width={800}
            footer={null}
            onOk={() => setOpen(false)}
            // title={null}
          >
            <Mainbannerleft setOpen={setOpen} />
          </Modal>
        )}
      </header>
    </div>
  );
};

export default HeaderOne;
