import { Table } from "antd";
import React, { useState } from "react";
import {
  Container,
  Row,
  Col,
  TabContent,
  TabPane,
  Nav,
  NavItem,
  NavLink,
} from "reactstrap";
import RelatedProductTable from "./RelatedProductTable";

const ProductTab = ({ product }) => {
  const dataSource = [
    {
      key: "1",
      title: "Brand",
      value: product?.brand,
    },
    {
      key: "2",
      title: "Part Name Code",
      value: product?.part_name_code,
    },
    {
      key: "3",
      title: "Manufacturer Part Number",
      value: product?.manufacturer_part_number,
    },
    {
      key: "4",
      title: "Part Description",
      value: product?.description,
    },
    {
      key: "5",
      title: "Condition",
      value: product?.condition,
    },
    {
      key: "6",
      title: "Fitment Type",
      value: product?.fitment_type,
    },
    {
      key: "7",
      title: "Replaces",
      value: product?.replaces,
    },
    {
      key: "8",
      title: "Manufacturer",
      value: product?.manufacturer,
    },
    {
      key: "9",
      title: "SKU",
      value: product?.SKU,
    },
    {
      key: "10",
      title: "Warranty",
      value: product?.warranty,
    },
  ];
  console.log(product);
  const columns = [
    {
      title: "Title",
      dataIndex: "title",
      // width: 240,
      className: "column1-cell",
      key: "title",
      render: (text, record) => <b>{text}</b>,
    },
    {
      title: "Value",
      className: "column1-cell2",
      dataIndex: "value",
      key: "value",
    },
  ];

  const [activeTab, setActiveTab] = useState("1");

  return (
    <section className="tab-product m-0">
      <Container className="product-tab">
        <Row>
          <Col sm="12" lg="12" className="product-tab">
            <Row className="product-page-main m-0">
              <Nav tabs className="nav-material">
                <NavItem className="nav nav-tabs" id="myTab" role="tablist">
                  <NavLink
                    className={activeTab === "1" ? "active" : ""}
                    onClick={() => setActiveTab("1")}
                  >
                    <b>Product Specifications</b>
                  </NavLink>
                </NavItem>
                <NavItem className="nav nav-tabs" id="myTab" role="tablist">
                  <NavLink
                    className={activeTab === "2" ? "active" : ""}
                    onClick={() => setActiveTab("2")}
                  >
                    <b>Vehicle Fitment</b>
                  </NavLink>
                </NavItem>
                <NavItem className="nav nav-tabs" id="myTab" role="tablist">
                  <NavLink
                    className={activeTab === "3" ? "active" : ""}
                    onClick={() => setActiveTab("3")}
                  >
                    <b>Related Products</b>
                  </NavLink>
                </NavItem>
              </Nav>
              <TabContent activeTab={activeTab} className="nav-material">
                <TabPane tabId="1">
                  <Table
                    showHeader={false}
                    size="small"
                    dataSource={dataSource}
                    columns={columns}
                    pagination={false}
                  />
                </TabPane>
                <TabPane tabId="2">
                  <p className="mb-0 pb-0">
                    <h3 className="mb-0 pb-0">Fits the following models</h3>
                    {product.check_fitment}
                  </p>
                </TabPane>
                <TabPane tabId="3">
                  <RelatedProductTable id={product?.sub_category_id} />
                </TabPane>
              </TabContent>
            </Row>
          </Col>
        </Row>
      </Container>
    </section>
  );
};

export default ProductTab;
