import React from "react";
import CommonLayout from "../components/shop/common-layout";
import { Container, Row, Col } from "reactstrap";

const Data = [
  {
    mainTitle: "Pages",
    newCol: true,
    subtitles: [
      {
        title: "Toyota Parts",
        link: "/page/parts",
      },
      {
        title: "Toyota Accesories",
        link: "/page/by-brand",
      },
      {
        title: "Home",
        link: "/",
      },
    ],
  },
  {
    mainTitle: "Policies",
    newCol: true,
    subtitles: [
      {
        title: "Privacy Policy",
        link: "/shop/privacy-policy",
      },
      {
        title: "Return Policy",
        link: "/shop/return-policy",
      },
      {
        title: "Sales Policy",
        link: "/shop/sales-policy",
      },
    ],
  },
  {
    mainTitle: "Services",
    newCol: true,
    subtitles: [
      {
        title: "About Us",
        link: "/page/about-us",
      },
      {
        title: "Contact Us",
        link: "/page/contact",
      },
      {
        title: "FAQ",
        link: "/page/faq",
      },
      {
        title: "Customer Reviews",
        link: "/page/review",
      },
    ],
  },
  {
    mainTitle: "My Account",
    newCol: true,
    subtitles: [
      { title: "Register As Customer", link: "/page/account/login" },
      { title: "Register As Business", link: "/page/account/register" },
      { title: "Login", link: "/page/account/login" },
      { title: "Dashboard", link: "/page/account/dashboard" },
      { title: "Cart", link: "/page/account/cart" },
      { title: "Checkout", link: "/page/account/checkout" },
    ],
  },
];

const MasterSiteMap = ({ data }) => {
  return (
    <>
      <h5 style={{ color: "#E52222" }} className="title">
        {data.mainTitle}
      </h5>
      <ul className="">
        {data.subtitles
          ? data.subtitles.map((sub1, i) => {
              return (
                <li key={i}>
                  <a style={{ color: "#2E5BA5" }} href={sub1.link}>
                    <i
                      className="fa fa-chevron-right me-1"
                      aria-hidden="true"
                    ></i>
                    {sub1.title}
                    {sub1.style ? sub1.style : ""}
                  </a>
                  <ul>
                    {sub1.subtitle
                      ? sub1.subtitle.map((sub2, i) => {
                          return (
                            <li key={i}>
                              <a href={sub2.link}>
                                {sub2.title ? sub2.title : ""}
                              </a>
                            </li>
                          );
                        })
                      : ""}
                  </ul>
                </li>
              );
            })
          : ""}
      </ul>
    </>
  );
};
const Sitemap = () => {
  return (
    <CommonLayout parent="home" title="Help Center">
      <section className="section-b-space sitemap_page">
        <Container>
          <Row>
            <Col md="3" xs="6">
              {Data.slice(0, 1).map((data, i) => {
                return <MasterSiteMap data={data} key={i} />;
              })}
            </Col>
            <Col md="3" xs="6">
              {Data.slice(1, 2).map((data, i) => {
                return <MasterSiteMap data={data} key={i} />;
              })}
            </Col>
            <Col md="3" xs="6">
              {Data.slice(2, 3).map((data, i) => {
                return <MasterSiteMap data={data} key={i} />;
              })}
            </Col>
            <Col md="3" xs="6">
              {Data.slice(3, 4).map((data, i) => {
                return <MasterSiteMap data={data} key={i} />;
              })}
            </Col>
          </Row>
        </Container>
      </section>
    </CommonLayout>
  );
};

export default Sitemap;
