import React, { Fragment, useEffect } from "react";
import HeaderOne from "../components/headers/header-one";
import Collections from "../components/Collections.js";

import Helmet from "react-helmet";
import MasterFooter from "../components/footers/common/MasterFooter";
import ParallaxBanner from "../components/Parallax.js";
import ParallaxBannerMain from "../components/ParallaxMain.js";
import Bannersection from "../components/banner-section.js";
import MostViewed from "../components/common/Collections/MostViewed.js";
const Marketplace = () => {
  useEffect(() => {
    document.documentElement.style.setProperty("--theme-deafult", "#3e5067");
  });
  return (
    <Fragment>
      <Helmet>
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link
          rel="icon"
          type="image/x-icon"
          href={"/assets/images/favicon/1.png"}
        />
      </Helmet>
      <HeaderOne
        logoName={"logo/18.png"}
        headerClass="marketplace"
        topClass="top-header"
      />
      <Bannersection />
      <Collections />
      <ParallaxBannerMain />
      {/* <FeaturedVehicles /> */}
      <div
        className="schools2"
      >
        <MostViewed />
      </div>
      <ParallaxBanner />
      <MasterFooter
        footerClass={`footer-light`}
        footerLayOut={"light-layout upper-footer"}
        footerSection={"small-section border-section border-top-0"}
        belowSection={"section-b-space light-layout"}
        newLatter={true}
        logoName={"logo/18.png"}
      />
    </Fragment>
  );
};

export default Marketplace;
