import React, { useContext, useEffect, useState } from "react";
import CommonLayout from "../../../components/shop/common-layout";
import CheckoutPage from "../../../components/checkout-page";
import { UserContext } from "../../../helpers/loginContext/loginContext";
import { useRouter } from "next/router";
import errorHandler from "../../../utils/errorHandler";
import jwtAxios from "../../../utils/Apis";

const Checkout = () => {
  const { user } = useContext(UserContext);
  const router = useRouter();
  useEffect(() => {
    if (!user.id) router.push("/page/account/login");
  }, [user]);
  useEffect(() => {
    if (!user.id) router.push("/page/account/login");
  }, []);

  const [address, setAddress] = useState([]);
  const fetchAddress = async () => {
    try {
      // setLoading(true);
      const response = await jwtAxios.get(`getAllAddress/${user.id}`);
      setAddress(response.data);
      console.log(response.data);
      // setLoading(false);
    } catch (error) {
      errorHandler(error);
      // setLoading(false);
    }
  };

  useEffect(() => {
    if (user?.id) {
      fetchAddress();
    }
  }, [user]);

  return (
    <>
      <CommonLayout parent="home" title="checkout">
        <CheckoutPage address={address} user={user} />
      </CommonLayout>
    </>
  );
};

export default Checkout;
