import React, { useEffect, useState } from "react";
import SubCatList from "../../../components/SubCatList.js";
import { useRouter } from "next/router.js";
import CommonLayout from "../../../components/shop/common-layout.js";

const SubCatPage = () => {
  const router = useRouter();
  const id = router.query.id;
  const param1 = router.query.param1;

  return (
    <CommonLayout parent="Home" title={`Category>${param1}`}>
      <>
        <SubCatList
          name={param1}
          clickRoute={true}
          subCatPath={`subCategories/${id}`}
        />
      </>
    </CommonLayout>
  );
};

export default SubCatPage;
