import React, { useContext, useEffect, useState } from "react";
import CommonLayout from "../../../components/shop/common-layout";
import { Container, Row, Col, Media } from "reactstrap";
import CartContext from "../../../helpers/cart";
import { CurrencyContext } from "../../../helpers/Currency/CurrencyContext";
import { useRouter } from "next/router";

const OrderSuccess = () => {
  const cartContext = useContext(CartContext);
  const cartItems = cartContext.state;
  const setCartTotal = cartContext.setCartTotal;
  const setCartItems = cartContext.setCartItems;
  const cartTotal = cartContext.cartTotal;
  const curContext = useContext(CurrencyContext);
  const symbol = curContext.state.symbol;
  const router = useRouter();
  const id = router.query.id;
  const [order, setOrder] = useState([]);
  useEffect(() => {
    setCartItems([]);
    setCartTotal(0);
    localStorage.removeItem("orderData");

    // Fetch the list of Order when the component mounts
    const fetchOrder = async () => {
      try {
        const response = await jwtAxios.get(`/order/${id}`); // Replace with your actual API endpoint
        console.log(response.data);
        setOrder(response.data);
      } catch (error) {
        console.error("Error fetching Order:", error);
      }
    };
    if (id) fetchOrder();
  }, [id]);

  function padIdWithZeros(cuId) {
    // Ensure id is a string and convert it to a number
    cuId = Number(cuId).toString();

    // Calculate the number of zeros to pad
    const zerosToAdd = 5 - cuId.length;

    // Pad the id with zeros
    const paddedId = "0".repeat(zerosToAdd) + cuId;

    // Prefix with "INV-"
    const finalId = "INV-" + paddedId;

    return finalId;
  }

  return (
    <CommonLayout parent="home" title="order success">
      <section className="section-b-space light-layout white-1">
        <Container>
          <Row>
            <Col md="12">
              <div className="success-text">
                <i className="fa fa-check-circle" aria-hidden="true"></i>
                <h2>thank you</h2>
                <p>Payment is successfully processsed. Happy shopping!</p>
                <p>
                  Thank you for choosing us. Your satisfaction is our priority.
                </p>
                <p>Transaction ID:{padIdWithZeros(id)}</p>
              </div>
            </Col>
          </Row>
        </Container>
      </section>
    </CommonLayout>
  );
};

export default OrderSuccess;
