import React, { useContext, useEffect, useState } from "react";
import CommonLayout from "../../components/shop/common-layout";
// import { withApollo } from '../../helpers/apollo/apollo';
import ProductList from "../../components/productList";
import { Container, Row } from "reactstrap";
import FilterPage from "../../components/CategoryPagesVehicle";
import PolicyList from "../../components/SelectedVehicleParts";
import jwtAxios from "../../utils/Apis";
import errorHandler from "../../utils/errorHandler";
import Mainbannerleft from "../../components/main-banner";
import FilterContext from "../../helpers/filter/FilterContext";

const PartsBySelectedVehicle = () => {
  const [sidebarView, setSidebarView] = useState(false);
  const [data, setData] = useState(null);
  const [isLoading, setIsLoading] = useState(false);
  const { selectedVehicle } = useContext(FilterContext);

  useEffect(() => {
    // console.log(data, "data");
    const fetchData = async () => {
      try {
        setIsLoading(true);
        const response = await jwtAxios.get(`vehicle/allCategories`);
        setData(response.data);
        console.log(response.data);
        setIsLoading(false);
      } catch (error) {
        errorHandler(error);
        setIsLoading(false);
      }
    };
    fetchData();
  }, []);
  const openCloseSidebar = () => {
    if (sidebarView) {
      setSidebarView(!sidebarView);
    } else {
      setSidebarView(!sidebarView);
    }
  };

  return (
    <CommonLayout title="Parts & Accessories" parent="home">
      <section className="section-b-space ratio_asos">
        <div className="collection-wrapper">
          {!selectedVehicle ? (
            <Mainbannerleft />
          ) : (
            <Container>
              <Row>
                <FilterPage
                  data={data}
                  sm="3"
                  sidebarView={sidebarView}
                  closeSidebar={() => openCloseSidebar(sidebarView)}
                />
                <PolicyList
                  data={data}
                  colClass="col-xl-3 col-6 col-grid-box"
                  layoutList=""
                  openSidebar={() => openCloseSidebar(sidebarView)}
                />
              </Row>
            </Container>
          )}
        </div>
      </section>
    </CommonLayout>
  );
};

export default PartsBySelectedVehicle;
